#pragma once

#include "guecs/sfml/components.hpp"
#include "guecs/ui.hpp"
#include "slides.hpp"

struct ControlUI {
  guecs::UI $gui;
  guecs::Text* $status;
  sf::RenderWindow& $presenter;

  ControlUI(sf::RenderWindow& presenter);
  void init();
  void render(sf::RenderWindow& window);
  void handle_events(sf::RenderWindow& controller, const sf::Event& event);
};
